<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/* https://nendeb.com/315 */
function haup_embed_custom_styles(){
	if(!haup_is_mobile()){
    wp_register_style(
		'wp-embed-custom-style',
		plugin_dir_url( __FILE__ ) . 'embed-custom-style.css',
		array(),
		haup_plugin_ver_callback(),
		'all'
	);

	wp_enqueue_style( 'wp-embed-custom-style');
	}

}
add_filter( 'embed_head', 'haup_embed_custom_styles' );
add_action('wp_enqueue_scripts','haup_embed_custom_styles');
add_action( 'enqueue_block_editor_assets', 'haup_embed_custom_styles');